//
//  Controller.m
//  FilteringFieldTest
//
//  Created by Scott Gruby on 3/28/08.
//  Copyright 2008 GGT Enterprises, LLC. All rights reserved.
//

#import "Controller.h"
#import "PartialFormatter.h"

@implementation Controller
- (void) awakeFromNib
{
	NSMutableCharacterSet *characterSet = [[NSMutableCharacterSet alloc] init];
	[characterSet addCharactersInString:@"0123456789"];
	[textField setFormatter:[[[PartialFormatter alloc] init] autorelease]];	
	[[textField formatter] setAcceptableCharacterSet:characterSet];
	
	[secondaryTextField setFormatter:[[[PartialFormatter alloc] init] autorelease]];	
	[[secondaryTextField formatter] setMaximumValue:65535];
	[[secondaryTextField formatter] setAcceptableCharacterSet:characterSet];

	[characterSet release];
}
@end
